Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.annotations
Interface CategoryAnnotation

All Known Implementing Classes:
  CategoryLineAnnotation, CategoryPointerAnnotation, CategoryTextAnnotation

    public interface CategoryAnnotation

The interface that must be supported by annotations that are to be added to a `CategoryPlot`.

Method Summary
`void` | `draw(java.awt.Graphics2D g2, CategoryPlot plot, java.awt.geom.Rectangle2D dataArea, CategoryAxis domainAxis, ValueAxis rangeAxis)` Draws the annotation.

Method Detail

### draw

    void draw(java.awt.Graphics2D g2,
              CategoryPlot plot,
              java.awt.geom.Rectangle2D dataArea,
              CategoryAxis domainAxis,
              ValueAxis rangeAxis)

  Draws the annotation.

  Parameters:
    `g2` - the graphics device.
    `plot` - the plot.
    `dataArea` - the data area.
    `domainAxis` - the domain axis.
    `rangeAxis` - the range axis.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD